org.gradle.api.plugins.scala

## Class ScalaBasePlugin

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.api.plugins.scala.ScalaBasePlugin

- All Implemented Interfaces:
    GroovyObject, Plugin<Project>

      public class ScalaBasePlugin
      extends GroovyObjectSupport
      implements Plugin<Project>

  A `Plugin` which compiles and tests Scala sources.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SCALA_RUNTIME_EXTENSION_NAME`
    `static String` | `ZINC_CONFIGURATION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalaBasePlugin(org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.
    `static String` | `getSCALA_RUNTIME_EXTENSION_NAME()`
    `static String` | `getZINC_CONFIGURATION_NAME()`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZINC_CONFIGURATION_NAME

          public static final String ZINC_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### SCALA_RUNTIME_EXTENSION_NAME

          public static final String SCALA_RUNTIME_EXTENSION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScalaBasePlugin

          @Inject
          public ScalaBasePlugin(org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object

    - #### getZINC_CONFIGURATION_NAME

          public static String getZINC_CONFIGURATION_NAME()

    - #### getSCALA_RUNTIME_EXTENSION_NAME

          public static String getSCALA_RUNTIME_EXTENSION_NAME()